## ros-humble-rviz-default-plugins 11.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_default_plugins)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

# Tests currently only run on OS X @ OSRF jenkins
# Enable on Linux by providing a display, enable on Windows via EnableDisplayTests=True
option(EnableDisplayTests "EnableDisplayTests")
set(DisplayTests "False" CACHE STRING "DisplayTestsVariable")

if(DEFINED ENV{DISPLAY})
  set(DISPLAYPRESENT TRUE)
endif()

if(APPLE OR DISPLAYPRESENT OR EnableDisplayTests STREQUAL "True")
  message(STATUS "Enabling tests requiring a display")
else()
  set(SKIP_DISPLAY_TESTS "SKIP_TEST")
endif()

# options and directories for visual tests (see visual_testing_framework documentation)
option(EnableVisualTests "decides whether or not to enable the tests")

add_definitions(-D_BUILD_DIR_PATH="${CMAKE_CURRENT_BINARY_DIR}")
add_definitions(-D_SRC_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}")

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/test_images)
file(MAKE_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test/reference_images)

# Run visual tests only if "EnableVisualTests=True"
if(EnableVisualTests STREQUAL "True")
  message(STATUS "Enabling visual tests")
else()
  set(SKIP_VISUAL_TESTS "SKIP_TEST")
endif()

if(MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
endif()

# We specifically don't turn on CMAKE_AUTOMOC, since it generates one huge
# mocs_compilation.cpp file that takes a lot of memory to compile.  Instead
# we create individual moc files that can be compiled separately.

find_package(ament_cmake REQUIRED)

find_package(rviz_common REQUIRED)
find_package(rviz_rendering REQUIRED)
find_package(rviz_ogre_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets Test)

find_package(geometry_msgs REQUIRED)

find_package(ignition-math6 REQUIRED)

find_package(image_transport REQUIRED)
find_package(interactive_markers REQUIRED)
find_package(laser_geometry REQUIRED)
find_package(map_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(resource_retriever REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(urdf REQUIRED)
find_package(visualization_msgs REQUIRED)

set(rviz_default_plugins_headers_to_moc
  include/rviz_default_plugins/displays/accel/accel_display.hpp
  include/rviz_default_plugins/displays/axes/axes_display.hpp
  include/rviz_default_plugins/displays/camera/camera_display.hpp
  include/rviz_default_plugins/displays/depth_cloud/depth_cloud_display.hpp
  include/rviz_default_plugins/displays/effort/effort_display.hpp
  include/rviz_default_plugins/displays/fluid_pressure/fluid_pressure_display.hpp
  include/rviz_default_plugins/displays/grid/grid_display.hpp
  include/rviz_default_plugins/displays/grid_cells/grid_cells_display.hpp
  include/rviz_default_plugins/displays/illuminance/illuminance_display.hpp
  include/rviz_default_plugins/displays/image/image_display.hpp
  include/rviz_default_plugins/displays/laser_scan/laser_scan_display.hpp
  include/rviz_default_plugins/displays/map/map_display.hpp
  include/rviz_default_plugins/displays/marker/marker_common.hpp
  include/rviz_default_plugins/displays/odometry/odometry_display.hpp
  include/rviz_default_plugins/transformation/transformer_guard.hpp
  include/rviz_default_plugins/displays/interactive_markers/integer_action.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker_display.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker_namespace_property.hpp
  include/rviz_default_plugins/displays/path/path_display.hpp
  include/rviz_default_plugins/displays/point/point_stamped_display.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_common.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/axis_color_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/flat_color_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/intensity_pc_transformer.hpp
  include/rviz_default_plugins/displays/polygon/polygon_display.hpp
  include/rviz_default_plugins/displays/pose/pose_display.hpp
  include/rviz_default_plugins/displays/pose_array/pose_array_display.hpp
  include/rviz_default_plugins/displays/pose_covariance/pose_with_covariance_display.hpp
  include/rviz_default_plugins/displays/range/range_display.hpp
  include/rviz_default_plugins/displays/relative_humidity/relative_humidity_display.hpp
  include/rviz_default_plugins/displays/robot_model/robot_model_display.hpp
  include/rviz_default_plugins/displays/temperature/temperature_display.hpp
  include/rviz_default_plugins/displays/tf/frame_info.hpp
  include/rviz_default_plugins/displays/tf/tf_display.hpp
  include/rviz_default_plugins/displays/twist/twist_display.hpp
  include/rviz_default_plugins/displays/wrench/wrench_display.hpp
  include/rviz_default_plugins/robot/robot.hpp
  include/rviz_default_plugins/robot/robot_joint.hpp
  include/rviz_default_plugins/robot/robot_link.hpp
  include/rviz_default_plugins/robot/robot_element_base_class.hpp
  include/rviz_default_plugins/tools/measure/measure_tool.hpp
  include/rviz_default_plugins/tools/goal_pose/goal_tool.hpp
  include/rviz_default_plugins/tools/interaction/interaction_tool.hpp
  include/rviz_default_plugins/tools/pose_estimate/initial_pose_tool.hpp
  include/rviz_default_plugins/tools/point/point_tool.hpp
  include/rviz_default_plugins/view_controllers/orbit/orbit_view_controller.hpp
  include/rviz_default_plugins/view_controllers/ortho/fixed_orientation_ortho_view_controller.hpp
  include/rviz_default_plugins/view_controllers/xy_orbit/xy_orbit_view_controller.hpp
)

foreach(header "${rviz_default_plugins_headers_to_moc}")
  qt5_wrap_cpp(rviz_default_plugins_moc_files "${header}")
endforeach()

set(rviz_default_plugins_source_files
  src/rviz_default_plugins/displays/accel/accel_display.cpp
  src/rviz_default_plugins/displays/axes/axes_display.cpp
  src/rviz_default_plugins/displays/camera/camera_display.cpp
  src/rviz_default_plugins/displays/depth_cloud/depth_cloud_display.cpp
  src/rviz_default_plugins/displays/effort/effort_display.cpp
  src/rviz_default_plugins/displays/grid/grid_display.cpp
  src/rviz_default_plugins/displays/grid_cells/grid_cells_display.cpp
  src/rviz_default_plugins/displays/fluid_pressure/fluid_pressure_display.cpp
  src/rviz_default_plugins/displays/illuminance/illuminance_display.cpp
  src/rviz_default_plugins/displays/image/get_transport_from_topic.cpp
  src/rviz_default_plugins/displays/image/image_display.cpp
  src/rviz_default_plugins/displays/image/ros_image_texture.cpp
  src/rviz_default_plugins/displays/interactive_markers/integer_action.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_control.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_display.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_namespace_property.cpp
  src/rviz_default_plugins/displays/laser_scan/laser_scan_display.cpp
  src/rviz_default_plugins/displays/map/map_display.cpp
  src/rviz_default_plugins/displays/map/palette_builder.cpp
  src/rviz_default_plugins/displays/map/swatch.cpp
  src/rviz_default_plugins/displays/marker/markers/arrow_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/line_list_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/line_marker_base.cpp
  src/rviz_default_plugins/displays/marker/markers/line_strip_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_base.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_selection_handler.cpp
  src/rviz_default_plugins/displays/marker/markers/mesh_resource_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/text_view_facing_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/points_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/shape_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/triangle_list_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_factory.cpp
  src/rviz_default_plugins/displays/marker/marker_common.cpp
  src/rviz_default_plugins/displays/marker/marker_display.cpp
  src/rviz_default_plugins/displays/marker_array/marker_array_display.cpp
  src/rviz_default_plugins/displays/odometry/odometry_display.cpp
  src/rviz_default_plugins/displays/path/path_display.cpp
  src/rviz_default_plugins/displays/point/point_stamped_display.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/axis_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/flat_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/intensity_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgb8_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgbf32_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/xyz_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_common.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_to_point_cloud2.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_transformer_factory.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_selection_handler.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_display.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud2_display.cpp
  src/rviz_default_plugins/displays/polygon/polygon_display.cpp
  src/rviz_default_plugins/displays/pose/pose_display.cpp
  src/rviz_default_plugins/displays/pose/pose_display_selection_handler.cpp
  src/rviz_default_plugins/displays/pose_array/pose_array_display.cpp
  src/rviz_default_plugins/displays/pose_array/flat_arrows_array.cpp
  src/rviz_default_plugins/displays/pose_covariance/pose_with_covariance_display.cpp
  src/rviz_default_plugins/displays/pose_covariance/pose_with_cov_selection_handler.cpp
  src/rviz_default_plugins/displays/range/range_display.cpp
  src/rviz_default_plugins/displays/relative_humidity/relative_humidity_display.cpp
  src/rviz_default_plugins/displays/robot_model/robot_model_display.cpp
  src/rviz_default_plugins/displays/screw/screw_display.cpp
  src/rviz_default_plugins/displays/temperature/temperature_display.cpp
  src/rviz_default_plugins/displays/tf/frame_info.cpp
  src/rviz_default_plugins/displays/tf/frame_selection_handler.cpp
  src/rviz_default_plugins/displays/tf/tf_display.cpp
  src/rviz_default_plugins/displays/wrench/wrench_display.cpp
  src/rviz_default_plugins/displays/twist/twist_display.cpp
  src/rviz_default_plugins/robot/robot.cpp
  src/rviz_default_plugins/robot/robot_joint.cpp
  src/rviz_default_plugins/robot/robot_link.cpp
  src/rviz_default_plugins/robot/robot_element_base_class.cpp
  src/rviz_default_plugins/robot/tf_link_updater.cpp
  src/rviz_default_plugins/tools/interaction/interaction_tool.cpp
  src/rviz_default_plugins/tools/measure/measure_tool.cpp
  src/rviz_default_plugins/tools/focus/focus_tool.cpp
  src/rviz_default_plugins/tools/move/move_tool.cpp
  src/rviz_default_plugins/tools/goal_pose/goal_tool.cpp
  src/rviz_default_plugins/tools/pose/pose_tool.cpp
  src/rviz_default_plugins/tools/pose_estimate/initial_pose_tool.cpp
  src/rviz_default_plugins/tools/point/point_tool.cpp
  src/rviz_default_plugins/tools/select/selection_tool.cpp
  src/rviz_default_plugins/transformation/tf_frame_transformer.cpp

=== debian/changelog ===
ros-humble-rviz-default-plugins (11.2.7-1jammy) jammy; urgency=high

  * Don't pass screw_display.hpp to the moc generator. (#1018 <https://github.com/ros2/rviz/issues/1018>)
    Since it isn't a Qt class, you get a warning from moc:
    Note: No relevant classes found. No output generated.
    Just skip adding it to the moc list here, which gets rid
    of the warning.
    (cherry picked from commit 071adba7fca13da7f6ba77c26e2d9cf989308ca2)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
    (cherry picked from commit 8f2e17e441399974ebd465a2d2ef0a3529f57f23)
  * Added TwistStamped and AccelStamped default plugins (#991 <https://github.com/ros2/rviz/issues/991>) (#1014 <https://github.com/ros2/rviz/issues/1014>)
    (cherry picked from commit 9599dd488d543671121c40df9aec5533064e86fb)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 22:00:00 -0000

ros-humble-rviz-default-plugins (11.2.6-1jammy) jammy; urgency=high

  * Added Effort plugin (#990 <https://github.com/ros2/rviz/issues/990>) (#1010 <https://github.com/ros2/rviz/issues/1010>)
  * Update Frame shortcut (#958 <https://github.com/ros2/rviz/issues/958>) (#960 <https://github.com/ros2/rviz/issues/960>)
  * Fix tolerance calculation precision (#934 <https://github.com/ros2/rviz/issues/934>) (#965 <https://github.com/ros2/rviz/issues/965>)
  * Fix MeshResourceMarker for mesh with color-based embedded material (#928 <https://github.com/ros2/rviz/issues/928>) (#964 <https://github.com/ros2/rviz/issues/964>)
  * std::copy fix - OccupancyGridUpdate - Data is not being processed correctly (#895 <https://github.com/ros2/rviz/issues/895>) (#978 <https://github.com/ros2/rviz/issues/978>)
  * Contributors: Chuanhong Guo, Daisuke Sato, mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 22:00:00 -0000

ros-humble-rviz-default-plugins (11.2.5-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 23:00:00 -0000

ros-humble-rviz-default-plugins (11.2.4-1jammy) jammy; urgency=high

  * Delete frame_locked_markers when reusing marker (#907 <https://github.com/ros2/rviz/issues/907>) (#910 <https://github.com/ros2/rviz/issues/910>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 23:00:00 -0000

ros-humble-rviz-default-plugins (11.2.3-1jammy) jammy; urgency=high

  * Set error status when duplicate markers are in the same MarkerArray (#891 <https://github.com/ros2/rviz/issues/891>) (#899 <https://github.com/ros2/rviz/issues/899>)
  * Make Axes display use latest transform (#892 <https://github.com/ros2/rviz/issues/892>) (#902 <https://github.com/ros2/rviz/issues/902>)
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 22:00:00 -0000

ros-humble-rviz-default-plugins (11.2.2-1jammy) jammy; urgency=high

  * Fix include order (#858 <https://github.com/ros2/rviz/issues/858>) (#859 <https://github.com/ros2/rviz/issues/859>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 22:00:00 -0000

ros-humble-rviz-default-plugins (11.2.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 22:00:00 -0000

ros-humble-rviz-default-plugins (11.2.0-1jammy) jammy; urgency=high

  * Add far plane distance property to camera (#849 <https://github.com/ros2/rviz/issues/849>)
  * Contributors: Paul

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-humble-rviz-default-plugins (11.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 22:00:00 -0000

ros-humble-rviz-default-plugins (11.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 23:00:00 -0000

ros-humble-rviz-default-plugins (11.0.0-1jammy) jammy; urgency=high

  * Drop ignition-math6 from rviz_default_plugins link interface (#833 <https://github.com/ros2/rviz/issues/833>)
  * add implementation for cancel interface (#809 <https://github.com/ros2/rviz/issues/809>)
  * Contributors: Chen Lihui, Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-rviz-default-plugins (10.0.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#829 <https://github.com/ros2/rviz/issues/829>)
  * Remove definition of PLUGINLIB_DISABLE_BOOST. (#821 <https://github.com/ros2/rviz/issues/821>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 23:00:00 -0000

ros-humble-rviz-default-plugins (9.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-humble-rviz-default-plugins (9.1.0-1jammy) jammy; urgency=high

  * Remove TF filter from ImageTransportDisplay (#788 <https://github.com/ros2/rviz/issues/788>)
  * Add underscores to material names (#811 <https://github.com/ros2/rviz/issues/811>)
  * Export image_transport dependency (#813 <https://github.com/ros2/rviz/issues/813>)
  * Contributors: Chen Lihui, Cory Crean, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 23:00:00 -0000

ros-humble-rviz-default-plugins (9.0.1-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-humble-rviz-default-plugins (9.0.0-1jammy) jammy; urgency=high

  * Switch to using Qt::MiddleButton for RViz. (#802 <https://github.com/ros2/rviz/issues/802>)
  * Add a tf_buffer_cache_time_ns to tf_wrapper (#792 <https://github.com/ros2/rviz/issues/792>)
  * Make libraries to avoid compiling files multiple times (#774 <https://github.com/ros2/rviz/issues/774>)


=== debian/control ===
Source: ros-humble-rviz-default-plugins
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-index-cpp <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-geometry-msgs, ros-humble-ignition-math6-vendor, ros-humble-image-transport, ros-humble-interactive-markers, ros-humble-laser-geometry, ros-humble-map-msgs, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-resource-retriever, ros-humble-rviz-common, ros-humble-rviz-ogre-vendor, ros-humble-rviz-rendering, ros-humble-rviz-rendering-tests <!nocheck>, ros-humble-rviz-visual-testing-framework <!nocheck>, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-urdf, ros-humble-visualization-msgs, ros-humble-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-humble-rviz-default-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-humble-geometry-msgs, ros-humble-ignition-math6-vendor, ros-humble-image-transport, ros-humble-interactive-markers, ros-humble-laser-geometry, ros-humble-map-msgs, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-resource-retriever, ros-humble-rviz-common, ros-humble-rviz-ogre-vendor, ros-humble-rviz-rendering, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-urdf, ros-humble-visualization-msgs, ros-humble-ros-workspace
Description: Several default plugins for rviz to cover the basic functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-default-plugins//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rviz-default-plugins//opt/ros/humble/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:/opt/ros/humble/lib/:/opt/ros/humble/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:$(CURDIR)/debian/ros-humble-rviz-default-plugins//opt/ros/humble/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-default-plugins//opt/ros/humble/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-default-plugins//opt/ros/humble/opt/rviz_yaml_cpp_vendor/lib/


override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rviz-default-plugins 11.2.12

=== debian/changelog ===
ros-humble-rviz-default-plugins (11.2.12-1bookworm) bookworm; urgency=high

  * Select QoS reliability policy in DepthCloud Plugin (#1159 <https://github.com/ros2/rviz/issues/1159>) (#1164 <https://github.com/ros2/rviz/issues/1164>)
    (cherry picked from commit a76cf91b1b5a4d21c5b6e2405fae99799318f363)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Fixed crash on DepthCloud plugin (#1161 <https://github.com/ros2/rviz/issues/1161>) (#1162 <https://github.com/ros2/rviz/issues/1162>)
    (cherry picked from commit 92023c966414d4d9a044ad8f609a1c6f3ca402d3)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Fixed crash on DepthCloudPlugin (#1133 <https://github.com/ros2/rviz/issues/1133>) (#1152 <https://github.com/ros2/rviz/issues/1152>)
    (cherry picked from commit 85bd6636c8e1d2e61668ca125f8d05ce25531fff)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Wrench accepth nan values fix (#1141 <https://github.com/ros2/rviz/issues/1141>) (#1149 <https://github.com/ros2/rviz/issues/1149>)
    (cherry picked from commit 82385de6ef21db8b4dde57e397f039803c0b102e)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * DepthCloud plugin: Append measured subscription frequency to topic status (#1137 <https://github.com/ros2/rviz/issues/1137>) (#1145 <https://github.com/ros2/rviz/issues/1145>)
    (cherry picked from commit ad1990bfa180f39b4cf04116438453783bb125f9)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Added Cache to camera display for TimeExact (#1138 <https://github.com/ros2/rviz/issues/1138>) (#1142 <https://github.com/ros2/rviz/issues/1142>)
    (cherry picked from commit fdf195771a948d510768ec2ccb08b0c78fdc2b14)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.11-1bookworm) bookworm; urgency=high

  * Fixed transport name in DepthCloud plugin (#1134 <https://github.com/ros2/rviz/issues/1134>) (#1135 <https://github.com/ros2/rviz/issues/1135>)
  * Append measured subscription frequency to topic status (#1113 <https://github.com/ros2/rviz/issues/1113>) (#1129 <https://github.com/ros2/rviz/issues/1129>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.10-1bookworm) bookworm; urgency=high

  * Fix time-syncing message (#1121 <https://github.com/ros2/rviz/issues/1121>) (#1123 <https://github.com/ros2/rviz/issues/1123>)
  * Fixed screw display (#1093 <https://github.com/ros2/rviz/issues/1093>) (#1094 <https://github.com/ros2/rviz/issues/1094>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.9-1bookworm) bookworm; urgency=high

  * Handle missing effort limit in URDF (#1084 <https://github.com/ros2/rviz/issues/1084>) (#1085 <https://github.com/ros2/rviz/issues/1085>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.8-1bookworm) bookworm; urgency=high

  * Fixed AccelStamped, TwistStamped and Wrench icons (#1041 <https://github.com/ros2/rviz/issues/1041>) (#1046 <https://github.com/ros2/rviz/issues/1046>)
  * Fix the flakey rviz_rendering tests (#1026 <https://github.com/ros2/rviz/issues/1026>) (#1030 <https://github.com/ros2/rviz/issues/1030>)
  * point_marker: fix bug where the number of rendered points accumulates over time (#949 <https://github.com/ros2/rviz/issues/949>) (#1029 <https://github.com/ros2/rviz/issues/1029>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.7-1bookworm) bookworm; urgency=high

  * Don't pass screw_display.hpp to the moc generator. (#1018 <https://github.com/ros2/rviz/issues/1018>)
    Since it isn't a Qt class, you get a warning from moc:
    Note: No relevant classes found. No output generated.
    Just skip adding it to the moc list here, which gets rid
    of the warning.
    (cherry picked from commit 071adba7fca13da7f6ba77c26e2d9cf989308ca2)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
    (cherry picked from commit 8f2e17e441399974ebd465a2d2ef0a3529f57f23)
  * Added TwistStamped and AccelStamped default plugins (#991 <https://github.com/ros2/rviz/issues/991>) (#1014 <https://github.com/ros2/rviz/issues/1014>)
    (cherry picked from commit 9599dd488d543671121c40df9aec5533064e86fb)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.6-1bookworm) bookworm; urgency=high

  * Added Effort plugin (#990 <https://github.com/ros2/rviz/issues/990>) (#1010 <https://github.com/ros2/rviz/issues/1010>)
  * Update Frame shortcut (#958 <https://github.com/ros2/rviz/issues/958>) (#960 <https://github.com/ros2/rviz/issues/960>)
  * Fix tolerance calculation precision (#934 <https://github.com/ros2/rviz/issues/934>) (#965 <https://github.com/ros2/rviz/issues/965>)
  * Fix MeshResourceMarker for mesh with color-based embedded material (#928 <https://github.com/ros2/rviz/issues/928>) (#964 <https://github.com/ros2/rviz/issues/964>)
  * std::copy fix - OccupancyGridUpdate - Data is not being processed correctly (#895 <https://github.com/ros2/rviz/issues/895>) (#978 <https://github.com/ros2/rviz/issues/978>)
  * Contributors: Chuanhong Guo, Daisuke Sato, mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000



=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,6 @@
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
 	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-default-plugins//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rviz-default-plugins//opt/ros/humble/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:/opt/ros/humble/lib/:/opt/ros/humble/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:$(CURDIR)/debian/ros-humble-rviz-default-plugins//opt/ros/humble/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-default-plugins//opt/ros/humble/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-default-plugins//opt/ros/humble/opt/rviz_yaml_cpp_vendor/lib/
 
-
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
 	# in the install tree and source it.  It will set things like

## ros-humble-rviz-default-plugins 11.2.13

=== debian/changelog ===
ros-humble-rviz-default-plugins (11.2.13-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.12-2bookworm) bookworm; urgency=high

  * Select QoS reliability policy in DepthCloud Plugin (#1159 <https://github.com/ros2/rviz/issues/1159>) (#1164 <https://github.com/ros2/rviz/issues/1164>)
    (cherry picked from commit a76cf91b1b5a4d21c5b6e2405fae99799318f363)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Fixed crash on DepthCloud plugin (#1161 <https://github.com/ros2/rviz/issues/1161>) (#1162 <https://github.com/ros2/rviz/issues/1162>)
    (cherry picked from commit 92023c966414d4d9a044ad8f609a1c6f3ca402d3)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Fixed crash on DepthCloudPlugin (#1133 <https://github.com/ros2/rviz/issues/1133>) (#1152 <https://github.com/ros2/rviz/issues/1152>)
    (cherry picked from commit 85bd6636c8e1d2e61668ca125f8d05ce25531fff)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Wrench accepth nan values fix (#1141 <https://github.com/ros2/rviz/issues/1141>) (#1149 <https://github.com/ros2/rviz/issues/1149>)
    (cherry picked from commit 82385de6ef21db8b4dde57e397f039803c0b102e)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * DepthCloud plugin: Append measured subscription frequency to topic status (#1137 <https://github.com/ros2/rviz/issues/1137>) (#1145 <https://github.com/ros2/rviz/issues/1145>)
    (cherry picked from commit ad1990bfa180f39b4cf04116438453783bb125f9)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Added Cache to camera display for TimeExact (#1138 <https://github.com/ros2/rviz/issues/1138>) (#1142 <https://github.com/ros2/rviz/issues/1142>)
    (cherry picked from commit fdf195771a948d510768ec2ccb08b0c78fdc2b14)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.11-2bookworm) bookworm; urgency=high

  * Fixed transport name in DepthCloud plugin (#1134 <https://github.com/ros2/rviz/issues/1134>) (#1135 <https://github.com/ros2/rviz/issues/1135>)
  * Append measured subscription frequency to topic status (#1113 <https://github.com/ros2/rviz/issues/1113>) (#1129 <https://github.com/ros2/rviz/issues/1129>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.10-2bookworm) bookworm; urgency=high

  * Fix time-syncing message (#1121 <https://github.com/ros2/rviz/issues/1121>) (#1123 <https://github.com/ros2/rviz/issues/1123>)
  * Fixed screw display (#1093 <https://github.com/ros2/rviz/issues/1093>) (#1094 <https://github.com/ros2/rviz/issues/1094>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.9-2bookworm) bookworm; urgency=high

  * Handle missing effort limit in URDF (#1084 <https://github.com/ros2/rviz/issues/1084>) (#1085 <https://github.com/ros2/rviz/issues/1085>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.8-2bookworm) bookworm; urgency=high

  * Fixed AccelStamped, TwistStamped and Wrench icons (#1041 <https://github.com/ros2/rviz/issues/1041>) (#1046 <https://github.com/ros2/rviz/issues/1046>)
  * Fix the flakey rviz_rendering tests (#1026 <https://github.com/ros2/rviz/issues/1026>) (#1030 <https://github.com/ros2/rviz/issues/1030>)
  * point_marker: fix bug where the number of rendered points accumulates over time (#949 <https://github.com/ros2/rviz/issues/949>) (#1029 <https://github.com/ros2/rviz/issues/1029>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.7-2bookworm) bookworm; urgency=high

  * Don't pass screw_display.hpp to the moc generator. (#1018 <https://github.com/ros2/rviz/issues/1018>)
    Since it isn't a Qt class, you get a warning from moc:
    Note: No relevant classes found. No output generated.
    Just skip adding it to the moc list here, which gets rid
    of the warning.
    (cherry picked from commit 071adba7fca13da7f6ba77c26e2d9cf989308ca2)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
    (cherry picked from commit 8f2e17e441399974ebd465a2d2ef0a3529f57f23)
  * Added TwistStamped and AccelStamped default plugins (#991 <https://github.com/ros2/rviz/issues/991>) (#1014 <https://github.com/ros2/rviz/issues/1014>)
    (cherry picked from commit 9599dd488d543671121c40df9aec5533064e86fb)
    Co-authored-by: Alejandro Hernández Cordero <mailto:alejandro@openrobotics.org>
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-default-plugins (11.2.6-2bookworm) bookworm; urgency=high

  * Added Effort plugin (#990 <https://github.com/ros2/rviz/issues/990>) (#1010 <https://github.com/ros2/rviz/issues/1010>)
  * Update Frame shortcut (#958 <https://github.com/ros2/rviz/issues/958>) (#960 <https://github.com/ros2/rviz/issues/960>)
  * Fix tolerance calculation precision (#934 <https://github.com/ros2/rviz/issues/934>) (#965 <https://github.com/ros2/rviz/issues/965>)
  * Fix MeshResourceMarker for mesh with color-based embedded material (#928 <https://github.com/ros2/rviz/issues/928>) (#964 <https://github.com/ros2/rviz/issues/964>)
  * std::copy fix - OccupancyGridUpdate - Data is not being processed correctly (#895 <https://github.com/ros2/rviz/issues/895>) (#978 <https://github.com/ros2/rviz/issues/978>)
